regression: simple qgis model broken (raster inputs + gdal algorithm)

2017-04-23 09:51 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/Core

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24372

Description

A regression has found its way into QGIS master amid processing refactoring, whereas a simple model (three raster inputs & one gdal

"create virtual raster" algorithm) doesn't work anymore.

Steps to reproduce

    1. Open QGIS

    2. Create a new model, and load the attached model file (build_rgb_vrt2.model)

    3. Save the model, and restart QGIS to see the newly added model in the processing toolbox list

    4. Try to execute the model, the following error will appear:

An error has occurred while executing Python code: 

RuntimeError: wrapped C/C++ object of type ModelerAlgorithm has been deleted 

Traceback (most recent call last):

  File "/home/webmaster/apps/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 252, in executeAlgorithm

    alg = QgsApplication.processingRegistry().algorithmById(item.alg.id())

RuntimeError: wrapped C/C++ object of type ModelerAlgorithm has been deleted

Related issues:

Duplicated by QGIS Application - Bug report # 16485: Models stopped to work i... Closed 2017-04-29

Associated revisions

Revision b34ee28c - 2017-05-01 09:29 AM - Nyall Dawson

[processing] Fix refreshing alg list does not refresh toolbox

Fix #16455, #16463

History

#1 - 2017-04-23 09:54 PM - Nyall Dawson

- Assignee changed from Victor Olaya to Nyall Dawson

#2 - 2017-04-23 09:54 PM - Nyall Dawson

My fault, not Victor's !

#3 - 2017-04-23 09:55 PM - Mathieu Pellerin - nIRV
Oups, must have automatically assigned the issue to Victor when I filed it against the processing category.

#4 - 2017-04-30 09:54 AM - Alexander Bruy

- Duplicated by Bug report #16485: Models stopped to work in QGIS3 added

#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-01 09:29 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b34ee28cd85269831263140eb80025f73d8f9328.

Files

build_rgb_vrt2.model 5.47 KB 2017-04-23 Mathieu Pellerin - nIRV

2024-05-06 2/2


